Loading...
Searching...
No Matches
Ogre::SceneManager::Listener Class Reference

Class that allows listening in on the various stages of SceneManager processing, so that custom behaviour can be implemented from outside. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManager::Listener:
[legend]

## Public Member Functions

| Listener ()
virtual | ~Listener ()
virtual void | postFindVisibleObjects (SceneManager *source, IlluminationRenderStage irs, Viewport *v)
| Called after searching for visible objects in this SceneManager.
virtual void | postUpdateSceneGraph (SceneManager *source, Camera *camera)
| Called after updating the scene graph in this SceneManager.
virtual void | preFindVisibleObjects (SceneManager *source, IlluminationRenderStage irs, Viewport *v)
| Called prior to searching for visible objects in this SceneManager.
virtual void | preUpdateSceneGraph (SceneManager *source, Camera *camera)
| Called prior to updating the scene graph in this SceneManager.
virtual void | sceneManagerDestroyed (SceneManager *source)
| Event notifying the listener of the SceneManager's destruction.

## Detailed Description

Class that allows listening in on the various stages of SceneManager processing, so that custom behaviour can be implemented from outside.

## Constructor & Destructor Documentation

## Listener()

Ogre::SceneManager::Listener::Listener | ( |  | ) |

inline

## ~Listener()

virtual Ogre::SceneManager::Listener::~Listener | ( |  | ) |

inline virtual

## Member Function Documentation

## preUpdateSceneGraph()

virtual void Ogre::SceneManager::Listener::preUpdateSceneGraph | ( | SceneManager * | source,
|  | Camera * | camera )

inline virtual

Called prior to updating the scene graph in this SceneManager.

This is called before updating the scene graph for a camera.

Parameters

  source | The SceneManager instance raising this event.
  camera | The camera being updated.

References Ogre::SceneManager::SceneManager().

## postUpdateSceneGraph()

virtual void Ogre::SceneManager::Listener::postUpdateSceneGraph | ( | SceneManager * | source,
|  | Camera * | camera )

inline virtual

Called after updating the scene graph in this SceneManager.

This is called after updating the scene graph for a camera.

Parameters

  source | The SceneManager instance raising this event.
  camera | The camera being updated.

References Ogre::SceneManager::SceneManager().

## preFindVisibleObjects()

virtual void Ogre::SceneManager::Listener::preFindVisibleObjects | ( | SceneManager * | source,
|  | IlluminationRenderStage | irs,
|  | Viewport * | v )

inline virtual

Called prior to searching for visible objects in this SceneManager.

Note that the render queue at this stage will be full of the last render's contents and will be cleared after this method is called.

Parameters

  source | The SceneManager instance raising this event.
  irs | The stage of illumination being dealt with. IRS_NONE for a regular render, IRS_RENDER_TO_TEXTURE for a shadow caster render.
  v | The viewport being updated. You can get the camera from here.

Reimplemented in Ogre::Terrain.

References Ogre::SceneManager::SceneManager().

## postFindVisibleObjects()

virtual void Ogre::SceneManager::Listener::postFindVisibleObjects | ( | SceneManager * | source,
|  | IlluminationRenderStage | irs,
|  | Viewport * | v )

inline virtual

Called after searching for visible objects in this SceneManager.

Note that the render queue at this stage will be full of the current scenes contents, ready for rendering. You may manually add renderables to this queue if you wish.

Parameters

  source | The SceneManager instance raising this event.
  irs | The stage of illumination being dealt with. IRS_NONE for a regular render, IRS_RENDER_TO_TEXTURE for a shadow caster render.
  v | The viewport being updated. You can get the camera from here.

References Ogre::SceneManager::SceneManager().

## sceneManagerDestroyed()

virtual void Ogre::SceneManager::Listener::sceneManagerDestroyed | ( | SceneManager * | source | ) |

inline virtual

Event notifying the listener of the SceneManager's destruction.

Reimplemented in Ogre::Terrain.

References Ogre::SceneManager::SceneManager().

The documentation for this class was generated from the following file:

- OgreSceneManager.h